dots.v2.genAi.oauth2.dropbox.tokens.post()
Generated on 27 Oct 2026
from DoTs version
v1.21.0
Usage
client.v2.genAi.oauth2.dropbox.tokens.post(body: ApiDropboxOauth2GetTokensInput, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ApiDropboxOauth2GetTokensOutput>Description
To obtain the refresh token, needed for creation of data sources, send a GET request to /v2/gen-ai/oauth2/dropbox/tokens. Pass the code you obtrained from the oauth flow in the field ‘code’
Parameters
codestring optionalExample:
example stringThe oauth2 code from google
redirectUrlstring optionalExample:
example stringRedirect url
Request Sample
Response Example
More Information
See /v2/gen-ai/oauth2/dropbox/tokens in the API reference for additional detail on responses, headers, parameters, and more.